Bug 126381 - Sendmail 8.13.0 is released
Sendmail 8.13.0 is released
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: sendmail (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
David Lawrence
http://www.sendmail.org/8.13.0.html
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-20 17:11 EDT by Robert Scheck
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-23 04:47:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sendmail-8.13.0-dynamic.patch (2.56 KB, patch)
2004-06-20 17:12 EDT, Robert Scheck
no flags Details | Diff
sendmail-8.13.0-pid.patch (1002 bytes, patch)
2004-06-20 17:12 EDT, Robert Scheck
no flags Details | Diff

  None (edit)
Description Robert Scheck 2004-06-20 17:11:21 EDT
Description of problem:
Sendmail 8.13.0 was released today (June 20, 2004). For more 
information have a look to the changelog.

Version-Release number of selected component (if applicable):
sendmail-8.12.11-5

Actual results:
The following is working for me (I still didn't & can't test all 
possible options):

--- snipp ---
--- sendmail.spec       2004-06-15 16:40:12.000000000 +0200
+++ sendmail.spec.rsc   2004-06-20 23:07:20.000000000 +0200
@@ -17,12 +17,12 @@

 Summary: A widely used Mail Transport Agent (MTA).
 Name: sendmail
-Version: 8.12.11
-Release: 5
+Version: 8.13.0
+Release: 1
 License: Sendmail
 Group: System Environment/Daemons
 Provides: smtpdaemon
-Source0: ftp://ftp.sendmail.org/pub/sendmail/sendmail.%{version}.tar.gz
+Source0: ftp://ftp.sendmail.org/pub/%{name}/%{name}.%{version}.tar.gz
 Source1: sendmail.init
 %if "%{old_setup}" == "yes"
 Source3: aliases
@@ -38,19 +38,16 @@
 Patch3: sendmail-8.12.2-makemapman.patch
 Patch4: sendmail-8.12.11-smrsh-paths.patch
 Patch5: sendmail-8.12.2-movefiles.patch
-Patch7: sendmail-8.12.5-pid.patch
+Patch7: sendmail-8.13.0-pid.patch
 Patch9: sendmail-8.12.7-hesiod.patch
 Patch10: sendmail-8.12.7-manpage.patch
-Patch11: sendmail-8.12.9-dynamic.patch
-Buildroot: %{_tmppath}/%{name}-root
-BuildRequires: tcp_wrappers
-BuildRequires: db4-devel
-BuildRequires: hesiod-devel
-PreReq: /usr/sbin/alternatives
+Patch11: sendmail-8.13.0-dynamic.patch
+BuildRoot: %{_tmppath}/%{name}-%{version}-root
+BuildRequires: tcp_wrappers, db4-devel, hesiod-devel
 Provides: %{_sbindir}/sendmail %{_bindir}/mailq %{_bindir}/newaliases
 Provides: %{_bindir}/rmail %{_mandir}/man1/mailq.1.gz
 Provides: %{_mandir}/man1/newaliases.1.gz %{_mandir}/man5/aliases.5.gz
-PreReq: chkconfig >= 1.3
+PreReq: chkconfig >= 1.3, /usr/sbin/alternatives
 PreReq: /usr/sbin/useradd /bin/mktemp fileutils gawk sed sh-utils
 Requires: procmail
 Requires: bash >= 2.0
@@ -576,6 +573,9 @@
 %{_docdir}/sendmail

 %changelog
+* Sun Jun 20 2004 Robert Scheck <redhat@linuxnetz.de> 8.13.0-1
+- upgrade to 8.13.0 and some specfile cleanup
+
 * Wed Jun 16 2004 Elliot Lee <sopwith@redhat.com>
 - rebuilt
--- snapp ---

Expected results:
Upgrade to 8.13.0

Additional info:
I don't know, whether the second part of the dynamic patch is correct
merged or not (I had to make a change, to make it rebuilding), but it 
is working for me.
Comment 1 Robert Scheck 2004-06-20 17:12:26 EDT
Created attachment 101277 [details]
sendmail-8.13.0-dynamic.patch
Comment 2 Robert Scheck 2004-06-20 17:12:57 EDT
Created attachment 101278 [details]
sendmail-8.13.0-pid.patch
Comment 3 Thomas Woerner 2004-06-23 04:47:08 EDT
Fixed in rawhide in rpm sendmail-8.13.0-1 or newer.

Note You need to log in before you can comment on or make changes to this bug.